//  Diffusion Client Library for iOS, tvOS and OS X / macOS
//
//  Copyright (c) 2016, 2017 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Base class which has no specific information associated with it.
 
 @see PTDiffusionTopicDetailsBuilder
 
 @deprecated Since 6.0. The use of PTDiffusionTopicDetails is being phased out
 in favor of PTDiffusionTopicSpecification. This interface will be removed in a
 future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionTopicSchema : NSObject <NSCopying>

+(instancetype)new NS_UNAVAILABLE;

-(instancetype)init NS_UNAVAILABLE;

/**
 Compares the receiver to the given topic schema.

 @param topicSchema The topic schema object with which to compare the receiver.

 @return `YES` if the topic schema is equal to the receiver, otherwise `NO`.
 
 @since 5.7
 */
-(BOOL)isEqualToTopicSchema:(nullable PTDiffusionTopicSchema *)topicSchema;

@end

NS_ASSUME_NONNULL_END
